/// <reference types="node" resolution-mode="require"/>
import { sha256Trunc } from '@aztec/foundation/crypto';
/**
 * Computes the merkle root for an unbalanced tree.
 *
 * @dev Adapted from proving-state.ts -> findMergeLevel and unbalanced_tree.ts.
 * Calculates the tree upwards layer by layer until we reach the root.
 * The L1 calculation instead computes the tree from right to left (slightly cheaper gas).
 * TODO: A more thorough investigation of which method is cheaper, then use that method everywhere.
 */
export declare function computeUnbalancedMerkleRoot(leaves: Buffer[], emptyLeaf?: Buffer, hasher?: typeof sha256Trunc): Buffer;
//# sourceMappingURL=unbalanced_merkle_root.d.ts.map